commoble.databuddy.config

## Class ConfigHelper.TomlConfigOps

- java.lang.Object
- - commoble.databuddy.config.ConfigHelper.TomlConfigOps

All Implemented Interfaces:
  com.mojang.serialization.DynamicOps<java.lang.Object>

Enclosing class:
  ConfigHelper

    public static class ConfigHelper.TomlConfigOps
    extends java.lang.Object
    implements com.mojang.serialization.DynamicOps<java.lang.Object>

### Field Summary

Fields
`static ConfigHelper.TomlConfigOps` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`TomlConfigOps()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `compressMaps()`
`<U> U` `convertTo(com.mojang.serialization.DynamicOps<U> outOps, java.lang.Object input)`
`java.lang.Object` `createList(java.util.stream.Stream<java.lang.Object> input)`
`java.lang.Object` `createMap(java.util.stream.Stream<com.mojang.datafixers.util.Pair<java.lang.Object,java.lang.Object>> map)`
`java.lang.Object` `createNumeric(java.lang.Number i)`
`java.lang.Object` `createString(java.lang.String value)`
`java.lang.Object` `empty()`
`com.mojang.serialization.DataResult<java.util.stream.Stream<com.mojang.datafixers.util.Pair<java.lang.Object,java.lang.Object>>>` `getMapValues(java.lang.Object input)`
`com.mojang.serialization.DataResult<java.lang.Number>` `getNumberValue(java.lang.Object input)`
`com.mojang.serialization.DataResult<java.util.stream.Stream<java.lang.Object>>` `getStream(java.lang.Object input)`
`com.mojang.serialization.DataResult<java.lang.String>` `getStringValue(java.lang.Object input)`
`com.mojang.serialization.RecordBuilder<java.lang.Object>` `mapBuilder()`
`com.mojang.serialization.DataResult<java.lang.Object>` `mergeToList(java.lang.Object list, java.lang.Object value)`
`com.mojang.serialization.DataResult<java.lang.Object>` `mergeToMap(java.lang.Object map, java.lang.Object key, java.lang.Object value)`
`java.lang.Object` `remove(java.lang.Object input, java.lang.String key)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.mojang.serialization.DynamicOps

`convertList, convertMap, createBoolean, createByte, createByteList, createDouble, createFloat, createInt, createIntList, createLong, createLongList, createMap, createShort, emptyList, emptyMap, get, getBooleanValue, getByteBuffer, getGeneric, getIntStream, getList, getLongStream, getMap, getMapEntries, getNumberValue, listBuilder, mergeToList, mergeToMap, mergeToMap, mergeToPrimitive, set, update, updateGeneric, withDecoder, withEncoder, withParser`

### Field Detail

#### INSTANCE

    public static final ConfigHelper.TomlConfigOps INSTANCE

### Constructor Detail

#### TomlConfigOps

    public TomlConfigOps()

### Method Detail

#### empty

    public java.lang.Object empty()

Specified by:
  `empty` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### convertTo

    public <U> U convertTo(com.mojang.serialization.DynamicOps<U> outOps,
                           java.lang.Object input)

Specified by:
  `convertTo` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### getNumberValue

    public com.mojang.serialization.DataResult<java.lang.Number> getNumberValue(java.lang.Object input)

Specified by:
  `getNumberValue` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### compressMaps

    public boolean compressMaps()

Specified by:
  `compressMaps` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### createNumeric

    public java.lang.Object createNumeric(java.lang.Number i)

Specified by:
  `createNumeric` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### getStringValue

    public com.mojang.serialization.DataResult<java.lang.String> getStringValue(java.lang.Object input)

Specified by:
  `getStringValue` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### createString

    public java.lang.Object createString(java.lang.String value)

Specified by:
  `createString` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### mergeToList

    public com.mojang.serialization.DataResult<java.lang.Object> mergeToList(java.lang.Object list,
                                                                             java.lang.Object value)

Specified by:
  `mergeToList` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### mergeToMap

    public com.mojang.serialization.DataResult<java.lang.Object> mergeToMap(java.lang.Object map,
                                                                            java.lang.Object key,
                                                                            java.lang.Object value)

Specified by:
  `mergeToMap` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### getMapValues

    public com.mojang.serialization.DataResult<java.util.stream.Stream<com.mojang.datafixers.util.Pair<java.lang.Object,java.lang.Object>>> getMapValues(java.lang.Object input)

Specified by:
  `getMapValues` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### createMap

    public java.lang.Object createMap(java.util.stream.Stream<com.mojang.datafixers.util.Pair<java.lang.Object,java.lang.Object>> map)

Specified by:
  `createMap` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### getStream

    public com.mojang.serialization.DataResult<java.util.stream.Stream<java.lang.Object>> getStream(java.lang.Object input)

Specified by:
  `getStream` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### createList

    public java.lang.Object createList(java.util.stream.Stream<java.lang.Object> input)

Specified by:
  `createList` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### remove

    public java.lang.Object remove(java.lang.Object input,
                                   java.lang.String key)

Specified by:
  `remove` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### mapBuilder

    public com.mojang.serialization.RecordBuilder<java.lang.Object> mapBuilder()

Specified by:
  `mapBuilder` in interface `com.mojang.serialization.DynamicOps<java.lang.Object>`